
Summary: 	Thr Moksha desktop
Name: 		moksha
Version: 	0.3.1
Release: 	%mkrel 1
License: 	BSD
Group: 		Graphical desktop/Moksha
URL:		https://github.com/JeffHoogland/moksha
Source: 	%name-%{version}.tar.xz
Source1:	enlightenment.menu
Source2:    moksha_filemanager.desktop
Source4:	goe
Patch0:    	e17_sysactions.conf.patch
Patch1:     e_utils.c.patch
#-------------------------------------------
BuildRequires: efl-devel
BuildRequires: libxcb-devel
BuildRequires: lib64alsa2-devel
BuildRequires: lib64bluez-devel
BuildRequires: lib64pam-devel
BuildRequires: lib64xcb-util-keysyms-devel
#--------------------------------------------
Requires: efl
Requires: lib64efl1
Requires: e-dbus
Requires: adwaita-icon-theme
Requires: gksu

Requires: polkit
Requires: lib64polkit1_0

Requires: policykit
Requires: lib64polkit2

Requires: consolekit
Requires: consolekit-x11
Requires: lib64consolekit0

Requires: polkit-gnome
Requires: lib64polkit-gtk1_0

Requires: terminology
Requires: acpitool
#--------------------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


%description
Moksha is a next generation window manager for UNIX operating systems. Based on
the Enlightenment Foundation Libraries (EFL), Moksha is much more than just
another window manager - it's an ambitious and innovative project that aims
to drive the development of graphical applications industry-wide for several
years to come.

%package devel
Summary: Moksha library headers and development libraries
Group: Development/Libraries


%description devel
Moksha development headers and development libraries.

%prep
%setup -qn %name-%{version}
%apply_patches

%build
./autogen.sh
%configure2_5x --disable-bodhi\
	--enable-files \
	--disable-static \
	--disable-device-hal \
	--disable-mount-hal \
	--enable-device-udev
	
%make


%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' -delete

# display manager entry
mkdir -p %buildroot/%{_sysconfdir}/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/23Moksha
NAME=Moksha
ICON=
EXEC=/usr/bin/goe
SCRIPT:
exec /usr/bin/goe
EOF

#dont need this
rm -f %{buildroot}/%{_datadir}/xsessions/enlightenment.desktop

#install our default menu
install -Dm 0644 %SOURCE1 %{buildroot}%_sysconfdir/xdg/menus/e-applications.menu

#file manager desktop file
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/applications/moksha_filemanager.desktop

#custom start file
install -m 0755 %SOURCE4 %buildroot/%_bindir/goe

#fix our rpm build bug
chmod 0755 %{buildroot}/%_libdir/enlightenment/utils/*
chmod 0755 %{buildroot}/%_libdir/enlightenment/modules/cpufreq/*

%find_lang enlightenment

%files -f enlightenment.lang
%defattr(-,root,root)
%{_sysconfdir}/enlightenment/sysactions.conf
%{_sysconfdir}/xdg/menus/e-applications.menu
%{_sysconfdir}/X11/wmsession.d/23Moksha
%{_bindir}/enlightenment
%{_bindir}/enlightenment_filemanager
%{_bindir}/enlightenment_imc
%{_bindir}/enlightenment_open
%{_bindir}/enlightenment_remote
%{_bindir}/enlightenment_start
%{_bindir}/epulse
%{_bindir}/goe
%{_datadir}/enlightenment
%{_libdir}/enlightenment
%{_libdir}/libepulse.so
%{_datadir}/applications/epulse.desktop
%{_datadir}/epulse/data/themes/default.edj
%{_datadir}/pixmaps/epulse.png
%{_datadir}/applications/moksha_filemanager.desktop

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/pkgconfig

%post
%make_dm_session

%postun
%make_dm_session

%clean
rm -rf %buildroot

%changelog
* Fri Sep 27 2019 tex - 0.23.1-1pclos2019
- new version

